#ifndef __8421_H
#define __8421_H
#include "bcd.h"
#include <string>
using namespace std;

class Broj8421 : public BcdBroj
{
	public: //KONSTRUKTORI
		Broj8421(const string& x);  //Proveravamo moguci znak i od kojeg mesta krecemo da prevodimo cifre
		void KorigujBcdBroj(const int size);
		void Skrati();  //metoda brise eventualne vodece bitovske nule
		/*BcdBroj operator + (const BcdBroj& b) const; KASNIJE*/
		void OduzmiOd (BcdBroj& x, char Znak);
	private:
		void PrvaFazaOduzimanja(string& Prenos, string& PrvaRazlika, BcdBroj& x);
		void PrvaFazaSabiranja(string& Prenos, string& PrviZbir, BcdBroj& x);
		void DrugaFazaOduzimanja(string& Prenos, string& PrvaRazlika, string& KonacnaRazlika);
		void DrugaFazaSabiranja(string& Prenos, string& PrviZbir, string& KonacanZbir);
};
#endif
